using System.Globalization;
using Tiger.Communication.Messages.Interfaces;
using Tiger.Communication.Messages.Types;

namespace Tiger.Communication.Messages.Outgoing.User.Data;

public class UserInfoComposer : IMessageComposer
{
    public OutgoingHeaders Header => OutgoingHeaders.UserInfo;
    public void Compose(ServerMessage message)
    {
        message.AppendInt32(1);
        message.AppendString("Test");
        message.AppendString("FIGURE");
        message.AppendString("M");
        message.AppendString("Hello World");
        message.AppendString(string.Empty);
        message.AppendBoolean(false);
        message.AppendInt32(0); // respect received
        message.AppendInt32(0); // respect points to give
        message.AppendInt32(0); // scratch to give
        message.AppendBoolean(false);
        message.AppendString(string.Empty);
        message.AppendBoolean(false); // can change name
        message.AppendBoolean(false); // safety locked
    }
}